package com.tanpu.fund.api;

import com.tanpu.common.model.product.resp.Net;
import com.tanpu.common.resp.CommonResp;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Api(tags = "私募基金 PC端")
public interface ProductForPcApi {

    @ApiOperation("获取私募基金最新净值")
    @GetMapping("/get/fund/newnet")
    CommonResp<List<Net>> getFundNewnet(@RequestParam("list") List<String> list);

    @ApiOperation("获取私有基金最新净值")
    @GetMapping("/get/privatefund/newnet")
    CommonResp<List<Net>> getPrivatefundNewnet(@RequestParam("list") List<String> list);

}
