package com.tanpu.fund.api;

import com.tanpu.common.model.product.resp.*;
import com.tanpu.common.resp.CommonResp;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 * <p>
 * 订单产品信息查询接口定义
 */
public interface ProductOrderApi {

    @GetMapping("/get/fund/info")
    CommonResp<List<FundInfoResp>> getFundInfos(@RequestParam("list") List<String> list);

    @GetMapping("/get/new/fund/info")
    CommonResp<List<FundInfoResp>> getNewFundInfos(@RequestParam("list") List<String> list);

    @ApiOperation("获取产品最新净值")
    @GetMapping("/get/fund/lastnet")
    CommonResp<List<NetBigDecimal>> getFundLastNet(@RequestParam("list") List<String> list);

}
