package com.tanpu.fund.config;

import com.tanpu.common.auth.intercept.FaLoginIntercept;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
@Slf4j
public class WebConfig implements WebMvcConfigurer {

    @Autowired
    private FaLoginIntercept faLoginIntercept;

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/product/**")
                .allowedOrigins("*");
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 添加一个拦截器，连接以/admin为前缀的 url路径
        log.info("添加拦截器FaLoginIntercept");
        registry.addInterceptor(faLoginIntercept).addPathPatterns("/**");
    }
}
