package com.tanpu.fund.config.elastic.autoconfigure;

import org.apache.commons.lang3.StringUtils;
import org.springframework.context.annotation.Condition;
import org.springframework.context.annotation.ConditionContext;
import org.springframework.core.env.Environment;
import org.springframework.core.type.AnnotatedTypeMetadata;

/**
 * elastic初始化条件判断
 */
public class ElasticCondition implements Condition {

    private String serverListName1 = "serverLists";
    private String serverListName2 = "server-lists";

    @Override
    public boolean matches(ConditionContext context, AnnotatedTypeMetadata metadata) {

        Environment environment = context.getEnvironment();

        String serverLists = environment.getProperty(ElasticContants.PROPPREFIX + "." + serverListName1,
                environment.getProperty(ElasticContants.PROPPREFIX + "." + serverListName2, ""));
        if (StringUtils.isBlank(serverLists)) {
            return false;
        }
        return true;
    }

}
