package com.tanpu.fund.controller;

import com.tanpu.common.model.product.resp.*;
import com.tanpu.common.resp.CommonResp;
import com.tanpu.fund.api.ProductOrderApi;
import com.tanpu.fund.service.ProductOrderService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@RestController
public class ProductOrderController implements ProductOrderApi {

    @Resource
    private ProductOrderService productOrderService;

    @Override
    public CommonResp<List<FundInfoResp>> getFundInfos(List<String> list) {
        return CommonResp.success(this.productOrderService.getFundInfos(list));
    }

    @Override
    public CommonResp<List<FundInfoResp>> getNewFundInfos(List<String> list) {
        return CommonResp.success(this.productOrderService.getNewFundInfos(list));
    }

    @Override
    public CommonResp<List<NetBigDecimal>> getFundLastNet(List<String> list) {
        if (CollectionUtils.isEmpty(list)) {
            return CommonResp.error(CommonResp.PARAMETER_INVALID_STATUS_CODE, CommonResp.PARAMETER_INVALID_MESSAGE);
        }

        return CommonResp.success(this.productOrderService.getFundLastNet(list));
    }
}
