package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 公司管理资产及人员变动统计
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CompanyTnaPersonnel {
    /**
     * 主键ID
     */
    private String id;

    /**
     * 公司id
     */
    private String companyId;

    /**
     * 统计日期
     */
    private Date statDate;

    /**
     * 信托管理总资产规模，<量纲：亿元>
     */
    private BigDecimal trustFundAssetSize;

    /**
     * 专户管理总资产规模，<量纲：亿元>
     */
    private BigDecimal specialAccountAssetSize;

    /**
     * 有限合伙管理总资产规模，<量纲：亿元>
     */
    private BigDecimal ltdcoFundAssetSize;

    /**
     * 海外基金管理总资产规模，<量纲：亿元>
     */
    private BigDecimal offshoreFundAssetSize;

    /**
     * 基金总数
     */
    private Integer fundNum;

    /**
     * 公司人数
     */
    private Integer staffNum;

    /**
     * 投研人员数
     */
    private Integer analystNum;

    /**
     * 管理总资产规模，<量纲：亿元>
     */
    private BigDecimal totalAssetSize;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private Date updateTime;

    private Integer deleteTag;
}