package com.tanpu.fund.entity.generator;

import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 基金与基金经理关联
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FundManagerMapping {
    private String id;

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 基金经理id，即人员id
     */
    private String fundManagerId;

    /**
     * 基金管理开始时间
     */
    private Date managementStartDate;

    /**
     * 基金管理结束时间
     */
    private Date managementEndDate;

    /**
     * 前台是否可见,1-可见 0-不可见
     */
    private Integer isvisible;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private Date updateTime;

    private Integer deleteTag;
}