package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 指数
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FundMarketIndexes {
    private String id;

    private String indexId;

    /**
     * 指数代码
     */
    private String indexCode;

    /**
     * 更新日期
     */
    private Date priceDate;

    private BigDecimal preclose;

    private BigDecimal open;

    private BigDecimal high;

    private BigDecimal low;

    private BigDecimal close;

    private BigDecimal tradeVolumen;

    private BigDecimal tradeAmount;

    private BigDecimal waveRange;

    private BigDecimal dayPriceLimit;

    private BigDecimal duration;

    private String convexity;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;

    private Integer deleteTag;
}