package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 基金净值
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FundNav {
    private String id;

    /**
     * 基金id，'HF'开头(后加36进制编码格式,不足8位长度左补零） 例：HF00000001
     */
    private String fundId;

    /**
     * 净值日期
     */
    private Date priceDate;

    /**
     * 单位净值
     */
    private BigDecimal nav;

    /**
     * 考虑分红再投资的单位累计净值
     */
    private BigDecimal cumulativeNav;

    /**
     * 分红不投资的单位累计净值
     */
    private BigDecimal cumulativeNavWithdrawal;

    /**
     * 净值创新高或新低标志；1-创历史新高；2-创历史新低；3-既没有创历史新高也没有创历史新低;-1-其他
     */
    private Integer ishighOrLow;

    /**
     * 距离历史新高的距离，（历史最高累计净值-最新累计净值）*100%/最新累计净值
     */
    private BigDecimal tohighNavRatio;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private Date updateTime;

    private Integer deleteTag;

    /**
     * 前一日单位净值
     */
    private BigDecimal preNav;
}