package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 基金风险指标
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FundRiskStats {
    private String id;

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 截至日期
     */
    private Date endDate;

    /**
     * 最近一年的年化波动率
     */
    private BigDecimal stddev1y;

    /**
     * 最近两年的年化波动率
     */
    private BigDecimal stddev2y;

    /**
     * 最近三年的年化波动率
     */
    private BigDecimal stddev3y;

    /**
     * 最近四年的年化波动率
     */
    private BigDecimal stddev4y;

    /**
     * 最近五年的年化波动率
     */
    private BigDecimal stddev5y;

    /**
     * 最近十年的年化波动率
     */
    private BigDecimal stddev10y;

    /**
     * 成立以来的年化波动率
     */
    private BigDecimal stddevIncep;

    /**
     * 今年以来的年化波动率
     */
    private BigDecimal stddevYtd;

    /**
     * 最近一年的下行风险
     */
    private BigDecimal downsidedev1y;

    /**
     * 最近两年的下行风险
     */
    private BigDecimal downsidedev2y;

    /**
     * 最近三年的下行风险
     */
    private BigDecimal downsidedev3y;

    /**
     * 最近四年的下行风险
     */
    private BigDecimal downsidedev4y;

    /**
     * 最近五年的下行风险
     */
    private BigDecimal downsidedev5y;

    /**
     * 最近十年的下行风险
     */
    private BigDecimal downsidedev10y;

    /**
     * 成立以来的下行风险
     */
    private BigDecimal downsidedevIncep;

    /**
     * 今年以来的下行风险
     */
    private BigDecimal downsidedevYtd;

    /**
     * 最近一年的阿尔法
     */
    private BigDecimal alpha1y;

    /**
     * 最近两年的阿尔法
     */
    private BigDecimal alpha2y;

    /**
     * 最近三年的阿尔法
     */
    private BigDecimal alpha3y;

    /**
     * 最近四年的阿尔法
     */
    private BigDecimal alpha4y;

    /**
     * 最近五年的阿尔法
     */
    private BigDecimal alpha5y;

    /**
     * 最近十年的阿尔法
     */
    private BigDecimal alpha10y;

    /**
     * 成立以来的阿尔法
     */
    private BigDecimal alphaIncep;

    /**
     * 今年以来的阿尔法
     */
    private BigDecimal alphaYtd;

    /**
     * 最近一年的贝塔
     */
    private BigDecimal beta1y;

    /**
     * 最近两年的贝塔
     */
    private BigDecimal beta2y;

    /**
     * 最近三年的贝塔
     */
    private BigDecimal beta3y;

    /**
     * 最近四年的贝塔
     */
    private BigDecimal beta4y;

    /**
     * 最近五年的贝塔
     */
    private BigDecimal beta5y;

    /**
     * 最近十年的贝塔
     */
    private BigDecimal beta10y;

    /**
     * 成立以来的贝塔
     */
    private BigDecimal betaIncep;

    /**
     * 今年以来的贝塔
     */
    private BigDecimal betaYtd;

    /**
     * 最近一年的拟合优度
     */
    private BigDecimal r21y;

    /**
     * 最近两年的拟合优度
     */
    private BigDecimal r22y;

    /**
     * 最近三年的拟合优度
     */
    private BigDecimal r23y;

    /**
     * 最近四年的拟合优度
     */
    private BigDecimal r24y;

    /**
     * 最近五年的拟合优度
     */
    private BigDecimal r25y;

    /**
     * 最近十年的拟合优度
     */
    private BigDecimal r210y;

    /**
     * 成立以来的拟合优度
     */
    private BigDecimal r2Incep;

    /**
     * 今年以来的拟合优度
     */
    private BigDecimal r2Ytd;

    /**
     * 最近一年的偏度
     */
    private BigDecimal skewness1y;

    /**
     * 最近两年的偏度
     */
    private BigDecimal skewness2y;

    /**
     * 最近三年的偏度
     */
    private BigDecimal skewness3y;

    /**
     * 最近四年的偏度
     */
    private BigDecimal skewness4y;

    /**
     * 最近五年的偏度
     */
    private BigDecimal skewness5y;

    /**
     * 最近十年的偏度
     */
    private BigDecimal skewness10y;

    /**
     * 成立以来的偏度
     */
    private BigDecimal skewnessIncep;

    /**
     * 今年以来的偏度
     */
    private BigDecimal skewnessYtd;

    /**
     * 最近一年的峰度
     */
    private BigDecimal kurtosis1y;

    /**
     * 最近两年的峰度
     */
    private BigDecimal kurtosis2y;

    /**
     * 最近三年的峰度
     */
    private BigDecimal kurtosis3y;

    /**
     * 最近四年的峰度
     */
    private BigDecimal kurtosis4y;

    /**
     * 最近五年的峰度
     */
    private BigDecimal kurtosis5y;

    /**
     * 最近十年的峰度
     */
    private BigDecimal kurtosis10y;

    /**
     * 成立以来的峰度
     */
    private BigDecimal kurtosisIncep;

    /**
     * 今年以来的峰度
     */
    private BigDecimal kurtosisYtd;

    /**
     * 最近一年的单月最大下跌
     */
    private BigDecimal worstmonth1y;

    /**
     * 最近两年的单月最大下跌
     */
    private BigDecimal worstmonth2y;

    /**
     * 最近三年的单月最大下跌
     */
    private BigDecimal worstmonth3y;

    /**
     * 最近四年的单月最大下跌
     */
    private BigDecimal worstmonth4y;

    /**
     * 最近五年的单月最大下跌
     */
    private BigDecimal worstmonth5y;

    /**
     * 最近十年的单月最大下跌
     */
    private BigDecimal worstmonth10y;

    /**
     * 成立以来的单月最大下跌
     */
    private BigDecimal worstmonthIncep;

    /**
     * 今年以来的单月最大下跌
     */
    private BigDecimal worstmonthYtd;

    /**
     * 最近一年的下跌月份比
     */
    private BigDecimal downmonthPercent1y;

    /**
     * 最近两年的下跌月份比
     */
    private BigDecimal downmonthPercent2y;

    /**
     * 最近三年的下跌月份比
     */
    private BigDecimal downmonthPercent3y;

    /**
     * 最近四年的下跌月份比
     */
    private BigDecimal downmonthPercent4y;

    /**
     * 最近五年的下跌月份比
     */
    private BigDecimal downmonthPercent5y;

    /**
     * 最近十年的下跌月份比
     */
    private BigDecimal downmonthPercent10y;

    /**
     * 成立以来的下跌月份比
     */
    private BigDecimal downmonthPercentIncep;

    /**
     * 今年以来的下跌月份比
     */
    private BigDecimal downmonthPercentYtd;

    /**
     * 最近一年的跑赢指数月份比
     */
    private BigDecimal battingaverage1y;

    /**
     * 最近两年的跑赢指数月份比
     */
    private BigDecimal battingaverage2y;

    /**
     * 最近三年的跑赢指数月份比
     */
    private BigDecimal battingaverage3y;

    /**
     * 最近四年的跑赢指数月份比
     */
    private BigDecimal battingaverage4y;

    /**
     * 最近五年的跑赢指数月份比
     */
    private BigDecimal battingaverage5y;

    /**
     * 最近五年的跑赢指数月份比
     */
    private BigDecimal battingaverage10y;

    /**
     * 成立以来的跑赢指数月份比
     */
    private BigDecimal battingaverageIncep;

    /**
     * 今年以来的跑赢指数月份比
     */
    private BigDecimal battingaverageYtd;

    /**
     * 最近一年的盈利/亏损比
     */
    private BigDecimal gainlossRatio1y;

    /**
     * 最近两年的盈利/亏损比
     */
    private BigDecimal gainlossRatio2y;

    /**
     * 最近三年的盈利/亏损比
     */
    private BigDecimal gainlossRatio3y;

    /**
     * 最近四年的盈利/亏损比
     */
    private BigDecimal gainlossRatio4y;

    /**
     * 最近五年的最长连续下跌月份数
     */
    private BigDecimal gainlossRatio5y;

    /**
     * 最近十年的最长连续下跌月份数
     */
    private BigDecimal gainlossRatio10y;

    /**
     * 成立以来的最长连续下跌月份数
     */
    private BigDecimal gainlossRatioIncep;

    /**
     * 今年以来的最长连续下跌月份数
     */
    private BigDecimal gainlossRatioYtd;

    /**
     * 最近一年的最长连续下跌月份数
     */
    private Integer longestdownMonths1y;

    /**
     * 最近两年的最长连续下跌月份数
     */
    private Integer longestdownMonths2y;

    /**
     * 最近三年的最长连续下跌月份数
     */
    private Integer longestdownMonths3y;

    /**
     * 最近四年的最长连续下跌月份数
     */
    private Integer longestdownMonths4y;

    /**
     * 最近五年的最长连续下跌月份数
     */
    private Integer longestdownMonths5y;

    /**
     * 最近十年的最长连续下跌月份数
     */
    private Integer longestdownMonths10y;

    /**
     * 成立以来的最长连续下跌月份数
     */
    private Integer longestdownMonthsIncep;

    /**
     * 今年以来的最长连续下跌月份数
     */
    private Integer longestdownMonthsYtd;

    /**
     * 最近一年的最大回撤
     */
    private BigDecimal maxdrawdown3m;

    private BigDecimal maxdrawdownYtd;

    private BigDecimal maxdrawdownMonthsYtd;

    private BigDecimal maxdrawdownPeakdateYtd;

    private BigDecimal maxdrawdownValleydateYtd;

    /**
     * 最近一年的最大回撤
     */
    private BigDecimal maxdrawdown1y;

    /**
     * 最近一年的最大回撤区间月份数
     */
    private Integer maxdrawdownMonths1y;

    /**
     * 最近一年的最大回撤的峰值值起始日期
     */
    private String maxdrawdownPeakdate1y;

    /**
     * 最近一年的最大回撤的谷值截止日期
     */
    private String maxdrawdownValleydate1y;

    /**
     * 最近一年的最大回撤修复日期
     */
    private String maxdrawdownRecoverydate1y;

    /**
     * 最近一年的最大回撤修复区间月份数
     */
    private Integer maxdrawdownRecoverymonths1y;

    /**
     * 最近两年的最大回撤
     */
    private BigDecimal maxdrawdown2y;

    /**
     * 最近两年的最大回撤区间月份数
     */
    private Integer maxdrawdownMonths2y;

    /**
     * 最近两年的最大回撤的峰值值起始日期
     */
    private String maxdrawdownPeakdate2y;

    /**
     * 最近两年的最大回撤的谷值截止日期
     */
    private String maxdrawdownValleydate2y;

    /**
     * 最近两年的最大回撤修复日期
     */
    private Integer maxdrawdownRecoverydate2y;

    /**
     * 最近两年的最大回撤修复区间月份数
     */
    private Integer maxdrawdownRecoverymonths2y;

    /**
     * 最近三年的最大回撤
     */
    private BigDecimal maxdrawdown3y;

    /**
     * 最近四年的最大回撤区间月份数
     */
    private Integer maxdrawdownMonths3y;

    /**
     * 最近四年的最大回撤的峰值值起始日期
     */
    private String maxdrawdownPeakdate3y;

    /**
     * 最近五年的最大回撤的谷值截止日期
     */
    private String maxdrawdownValleydate3y;

    /**
     * 最近三年的最大回撤的谷值截止日期
     */
    private String maxdrawdownRecoverydate3y;

    /**
     * 最近三年的最大回撤修复区间月份数
     */
    private Integer maxdrawdownRecoverymonths3y;

    /**
     * 最近四年的最大回撤
     */
    private BigDecimal maxdrawdown4y;

    /**
     * 最近四年的最大回撤区间月份数
     */
    private Integer maxdrawdownMonths4y;

    /**
     * 最近四年的最大回撤的峰值值起始日期
     */
    private String maxdrawdownPeakdate4y;

    /**
     * 最近四年的最大回撤的谷值截止日期
     */
    private String maxdrawdownValleydate4y;

    /**
     * 最近四年的最大回撤修复日期
     */
    private String maxdrawdownRecoverydate4y;

    /**
     * 最近四年的最大回撤修复区间月份数
     */
    private Integer maxdrawdownRecoverymonths4y;

    /**
     * 最近五年的最大回撤
     */
    private BigDecimal maxdrawdown5y;

    /**
     * 最近十年的最大回撤
     */
    private BigDecimal maxdrawdown10y;

    /**
     * 最近五年的最大回撤区间月份数
     */
    private Integer maxdrawdownMonths5y;

    /**
     * 最近五年的最大回撤的峰值值起始日期
     */
    private String maxdrawdownPeakdate5y;

    /**
     * 最近五年的最大回撤的谷值截止日期
     */
    private String maxdrawdownValleydate5y;

    /**
     * 最近五年的最大回撤修复日期
     */
    private String maxdrawdownRecoverydate5y;

    /**
     * 最近五年的最大回撤修复区间月份数
     */
    private Integer maxdrawdownRecoverymonths5y;

    /**
     * 最近十年的最大回撤区间月份数
     */
    private Integer maxdrawdownMonths10y;

    /**
     * 最近十年的最大回撤的峰值值起始日期
     */
    private String maxdrawdownPeakdate10y;

    /**
     * 最近十年的最大回撤的谷值截止日期
     */
    private String maxdrawdownValleydate10y;

    /**
     * 最近十年的最大回撤修复日期
     */
    private String maxdrawdownRecoverydate10y;

    /**
     * 最近十年的最大回撤修复区间月份数
     */
    private Integer maxdrawdownRecoverymonths10y;

    /**
     * 成立以来的最大回撤
     */
    private BigDecimal maxdrawdownIncep;

    /**
     * 成立以来的最大回撤区间月份数
     */
    private Integer maxdrawdownMonthsIncep;

    /**
     * 成立以来的最大回撤的峰值值起始日期
     */
    private String maxdrawdownPeakdateIncep;

    /**
     * 成立以来的最大回撤的谷值截止日期
     */
    private String maxdrawdownValleydateIncep;

    /**
     * 成立以来的最大回撤修复日期
     */
    private String maxdrawdownRecoverydateIncep;

    /**
     * 成立以来的最大回撤修复区间月份数
     */
    private Integer maxdrawdownRecoverymonthsIncep;

    private Date updateTime;

    private Date createTime;

    private Integer deleteTag;
}