package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class IfaImportedFundNav {
    private Long id;

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 净值日期
     */
    private Date priceDate;

    /**
     * 单位净值
     */
    private BigDecimal nav;

    /**
     * 考虑分红再投资的单位累计净值
     */
    private BigDecimal cumulativeNav;

    private Integer deleteTag;

    /**
     * 机构id
     */
    private String orgId;
}