package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 指数基本信息
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class IndexesProfile {
    /**
     * 指数Id
     */
    private String id;

    /**
     * 指数ID
     */
    private String indexId;

    /**
     * 指数类型：1-对冲基金指数、2-信心指数、3-公募基金指数、4-沪深港股票指数、5-全球股票指数、6-金汇期指、7-无风险利率、-1-其他
     */
    private Integer indexTypeId;

    /**
     * 指数代码
     */
    private String indexCode;

    /**
     * 指数中文全称
     */
    private String indexName;

    /**
     * 指数中文简称
     */
    private String indexShortName;

    /**
     * 1-中国，2-全球
     */
    private Integer indexAreaFlag;

    /**
     * 指数提供机构ID
     */
    private String indexFamilyId;

    /**
     * 指数发布周期，1-日度、2-周、3-月度、4-季度、5-半年度、6-年度
     */
    private Integer pricingFrequency;

    /**
     * 指数基期，指数开始日期
     */
    private Date inceptionDate;

    /**
     * 指数基点
     */
    private BigDecimal indexInitialValue;

    /**
     * 计算指数所使用的货币，1-人民币，2-港币，3-美元，4-新加坡元、-1-其他
     */
    private Integer baseCurrency;

    /**
     * 编制指数所使用的计算方法
     */
    private String calculationMethod;

    /**
     * 计算成份基金权重的方法
     */
    private String weightingScheme;

    /**
     * 成份基金筛选方法
     */
    private String selectionScheme;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private Date updateTime;

    private Integer deleteTag;
}