package com.tanpu.fund.entity.generator;

import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 人员在公司职务信息
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PersonCompanyPositionMapping {
    private String id;

    /**
     * 人物id
     */
    private String personnelId;

    /**
     * 公司id
     */
    private String companyId;

    /**
     * 人员类型:1-基金经理 2-投研 3-联系人 4-市场 5-合规风控 6-公司高管 7-公司法人 -1-其他
     */
    private Integer personnelType;

    /**
     * 当前职位
     */
    private String position;

    /**
     * 任职部门
     */
    private String department;

    /**
     * 是否默认职位信息：1-是，0-否
     */
    private Integer isDefault;

    /**
     * 任职开始日期
     */
    private Date startDate;

    /**
     * 任职结束日期
     */
    private Date endDate;

    /**
     * 职位次序
     */
    private Integer positionOrder;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private Date updateTime;

    private Integer deleteTag;

    /**
     * 机构id
     */
    private String orgId;
}