package com.tanpu.fund.entity.generator;

import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 人物信息表
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PersonnelInfo {
    /**
     * 人员id
     */
    private String id;

    /**
     * 姓名
     */
    private String personnelName;

    /**
     * 人员头像
     */
    private String avatar;

    /**
     * 人员类别，1-基金经理，2-研究员、3-联系人、-1-其他
     */
    private Integer personnelType;

    /**
     * 职业背景：1-券商，2-公募，3-其他金融机构，4-媒体，5-海外，6-民间，7-期货，8-实业、9-学者、10-银行、11-信托、12-保险、13-私募、-1-其他
     */
    private Byte professionBackground;

    /**
     * 是否为核心人物标志，1-是，0-否，-1-其他
     */
    private Integer keyFigure;

    /**
     * 就职公司id
     */
    private String companyId;

    /**
     * 当前职位
     */
    private String position;

    /**
     * 从业开始年份
     */
    private String careerStartYear;

    /**
     * 从业年限，<量纲：年>,-1:从业年限不详
     */
    private Integer investmentExperience;

    /**
     * 性别，1-男，2-女，-1-其他
     */
    private Integer sex;

    /**
     * 毕业院校
     */
    private String graduateschool;

    /**
     * 最高学历：1-小学、2-中学、3-大专、4-本科，5-硕士，6-博士，7-博士后，-1-其他
     */
    private Integer education;

    /**
     * 主修专业
     */
    private String major;

    /**
     * 人物次序
     */
    private Integer porder;

    /**
     * 是否纳入团队信息
     */
    private Integer ifinclude;

    /**
     * 人物是否在前台可见：1-可见，0-禁止显示
     */
    private Integer isvisible;

    /**
     * 是否有从业资格:1-是，2-否
     */
    private Byte isQualify;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updateTime;

    /**
     * 记录的有效性；1-无效；0-有效；
     */
    private Integer deleteTag;

    /**
     * 人物简介
     */
    private String profile;

    /**
     * 荣誉名称
     */
    private String topic;
}