package com.tanpu.fund.entity.generator;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */

/**
 * 公募基金经理基础信息
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PublicFundManager {
    /**
     * 基金代码
     */
    private String tsCode;

    /**
     * 公告日期
     */
    private String annDate;

    /**
     * 基金经理姓名
     */
    private String name;

    /**
     * 离任日期
     */
    private String endDate;

    /**
     * 性别
     */
    private String gender;

    /**
     * 出生年份
     */
    private String birthYear;

    /**
     * 学历
     */
    private String edu;

    /**
     * 国籍
     */
    private String nationality;

    /**
     * 任职日期
     */
    private String beginDate;

    /**
     * 简历
     */
    private String resume;

    /**
     * 机构id
     */
    private String orgId;
}