package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
    * 基金公司最新规模
    */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TxFundComScale {
    private Long sRowVersion;

    /**
    * 基金公司id
    */
    private Integer companyId;

    /**
    * 基金公司名称
    */
    private String companyName;

    /**
    * 基金公司类型：内资；外资
    */
    private String companyType;

    /**
    * 公告日期
    */
    private Date announceDate;

    /**
    * 封闭式基金管理金额
    */
    private BigDecimal closeCapital;

    /**
    * 开放式基金管理金额
    */
    private BigDecimal openCapital;

    /**
    * 封闭式基金份额
    */
    private BigDecimal closeShare;

    /**
    * 开放式基金份额
    */
    private BigDecimal openShare;

    /**
    * 总管理金额（管理规模）
    */
    private BigDecimal capital;

    /**
    * 封闭式基金数量
    */
    private Integer closeCount;

    /**
    * 开放式基金数量
    */
    private Integer openCount;

    /**
    * 总管理基金数量
    */
    private Integer count;

    private Long sSeq;

    private Date sUpdateTime;

    private Short sDataState;
}