package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
    * 基金分红
    */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TxFundDistribution {
    private String id;

    /**
    * 基金Id
    */
    private String fundId;

    /**
    * 分配日期
    */
    private Date distributeDate;

    /**
    * 基金分配类型标志：-1-其他，1-分红，2-拆分 3-业绩报酬 -1-其他
    */
    private Integer distributeType;

    /**
    * 分红/拆分比例
    */
    private BigDecimal distribution;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private Date updateTime;

    private Integer deleteTag;
}