package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
    * 公墓基金历史业绩
    */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TxFundPerformance {
    private String id;

    /**
    * 基金id
    */
    private String fundId;

    /**
    * 截至日期
    */
    private Date endDate;

    /**
    * 最近累计净值日期
    */
    private Date priceDate;

    /**
    * 最近累计净值
    */
    private BigDecimal cumulativeNav;

    /**
    * 最近一天收益率
    */
    private BigDecimal ret1day;

    /**
    * 最近一天基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret1dayBm1;

    /**
    * 最近一个周收益率
    */
    private BigDecimal ret1w;

    /**
    * 最近一个周基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret1wBm1;

    /**
    * 最近一个月收益率
    */
    private BigDecimal ret1m;

    /**
    * 最近一个月累计收益率
    */
    private BigDecimal retCum1m;

    /**
    * 最近一个月基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret1mBm1;

    /**
    * 最近一个月累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCum1mBm1;

    /**
    * 最近三个月收益率
    */
    private BigDecimal ret3m;

    /**
    * 最近三个月基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret3mBm1;

    /**
    * 最近三个月累计收益率
    */
    private BigDecimal retCum3m;

    /**
    * 最近三个月累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCum3mBm1;

    /**
    * 最近半年收益率
    */
    private BigDecimal ret6m;

    /**
    * 最近半年累计收益率
    */
    private BigDecimal retCum6m;

    /**
    * 最近半年基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret6mBm1;

    /**
    * 最近半年累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCum6mBm1;

    /**
    * 最近一年收益率
    */
    private BigDecimal ret1y;

    /**
    * 最近一年累计收益率
    */
    private BigDecimal retCum1y;

    /**
    * 最近一年基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret1yBm1;

    /**
    * 最近一年累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCum1yBm1;

    /**
    * 最近两年收益率
    */
    private BigDecimal ret2y;

    /**
    * 最近两年累计收益率
    */
    private BigDecimal retCum2y;

    /**
    * 最近两年基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret2yBm1;

    /**
    * 最近两年累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCum2yBm1;

    /**
    * 最近两年收益率（年化）
    */
    private BigDecimal ret2yA;

    /**
    * 最近两年基准指数收益率（年化），基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret2yBm1A;

    /**
    * 最近三年收益率
    */
    private BigDecimal ret3y;

    /**
    * 最近三年累计收益率
    */
    private BigDecimal retCum3y;

    /**
    * 最近三年基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret3yBm1;

    /**
    * 最近三年累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCum3yBm1;

    /**
    * 最近三年收益率（年化）
    */
    private BigDecimal ret3yA;

    /**
    * 最近三年基准指数收益率（年化），基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret3yBm1A;

    /**
    * 最近四年收益率
    */
    private BigDecimal ret4y;

    /**
    * 最近四年累计收益率
    */
    private BigDecimal retCum4y;

    /**
    * 最近四年基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret4yBm1;

    /**
    * 最近四年累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCum4yBm1;

    /**
    * 最近四年收益率（年化）
    */
    private BigDecimal ret4yA;

    /**
    * 最近四年基准指数收益率（年化），基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret4yBm1A;

    /**
    * 最近五年收益率
    */
    private BigDecimal ret5y;

    /**
    * 最近五年累计收益率
    */
    private BigDecimal retCum5y;

    /**
    * 最近五年基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret5yBm1;

    /**
    * 最近五年累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCum5yBm1;

    /**
    * 最近五年收益率（年化）
    */
    private BigDecimal ret5yA;

    /**
    * 最近五年基准指数收益率（年化），基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal ret5yBm1A;

    /**
    * 今年以来收益率
    */
    private BigDecimal retYtd;

    /**
    * 今年以来累计收益率
    */
    private BigDecimal retCumYtd;

    /**
    * 今年以来基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retYtdBm1;

    /**
    * 今年以来累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCumYtdBm1;

    /**
    * 成立以来收益率
    */
    private BigDecimal retIncep;

    /**
    * 成立以来累计收益率
    */
    private BigDecimal retCumIncep;

    /**
    * 成立以来基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retIncepBm1;

    /**
    * 成立以来累计基准指数收益率，基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retCumIncepBm1;

    /**
    * 成立以来收益率（年化）
    */
    private BigDecimal retIncepA;

    /**
    * 成立以来基准指数收益率（年化），基准指数bm1=沪深300（取决于基金设定的基准指数）
    */
    private BigDecimal retIncepBm1A;

    private Date updateTime;

    private Date createTime;

    private Integer deleteTag;
}