package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TxFundPortfolio {
    /**
    * 基金id
    */
    private String fundId;

    /**
    * 基金代码
    */
    private String fundCode;

    /**
    * 基金简称
    */
    private String fundShortName;

    /**
    * 基金定期报告id
    */
    private String reportId;

    /**
    * 公告日期
    */
    private Date annDate;

    /**
    * 起始日期
    */
    private Date startDate;

    /**
    * 截止日期
    */
    private Date endDate;

    /**
    * 数据来源
    */
    private String dataSource;

    /**
    * 最新标记
    */
    private Integer isNew;

    /**
    * 股票市值
    */
    private BigDecimal stockValue;

    /**
    * 债券市值
    */
    private BigDecimal bondValue;

    /**
    * 银行存款及清算备付金
    */
    private BigDecimal bankValue;

    /**
    * 其他资产
    */
    private BigDecimal otherValue;

    /**
    * 买入返售证券
    */
    private BigDecimal returnSale;

    /**
    * 应收证券清算款
    */
    private BigDecimal settlement;

    /**
    * 金融衍生品投资
    */
    private BigDecimal derInvest;

    /**
    * 资产总值
    */
    private BigDecimal totalValue;

    /**
    * 资产净值
    */
    private BigDecimal netValue;

    /**
    * 资产支持证券
    */
    private BigDecimal assetBack;

    /**
    * 积极投资
    */
    private BigDecimal activeBack;

    /**
    * 指数化投资
    */
    private BigDecimal indexInvest;

    /**
    * 基金投资
    */
    private BigDecimal fundInvest;

    /**
    * 指数化投资
    */
    private BigDecimal metalInvest;

    /**
    * 港股通投资组合合计
    */
    private BigDecimal hkStock;

    /**
    * 序列号
    */
    private Long sSeg;

    /**
    * 数据版本
    */
    private Long sRowVersion;

    /**
    * 入库时间
    */
    private Date sUpdateTime;

    /**
    * 数据状态
    */
    private Short sDataState;
}