package com.tanpu.fund.entity.generator;

import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
    * 基金重仓股
    */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TxTop10Stock {
    /**
    * 数据版本
    */
    private Long sRowVersion;

    /**
    * 基金ID
    */
    private Integer fundId;

    /**
    * 基金代码
    */
    private Integer fundCode;

    /**
    * 基金简称
    */
    private String fundShortName;

    /**
    * 基金定期报告id
    */
    private Integer reportId;

    /**
    * 公告日期
    */
    private Date annDate;

    /**
    * 起始日期
    */
    private Date startDate;

    /**
    * 结束日期
    */
    private Date endDate;

    /**
    * 数据来源
    */
    private String dataSource;

    /**
    * 是否为最新报告：0-否，1-是
    */
    private Integer isNew;

    /**
    * 投资类型ID
    */
    private Integer typeId;

    /**
    * 投资类型
    */
    private String typeName;

    /**
    * 序号
    */
    private Integer no;

    /**
    * 股票代码
    */
    private Integer stockCode;

    /**
    * 持股数量
    */
    private BigDecimal holdShare;

    /**
    * 持股市值
    */
    private BigDecimal holdValue;

    /**
    * 市值排名
    */
    private Integer valueRank;

    /**
    * 占基金资产净值比例
    */
    private BigDecimal netRatio;

    /**
    * 占流通股比例
    */
    private BigDecimal shareRatio;

    /**
    * 占基金持股市值比例
    */
    private BigDecimal valueRatio;

    /**
    * 未知
    */
    private Integer unname;

    /**
    * 股票名称
    */
    private String stockName;

    /**
    * 序列号
    */
    private Long sSeg;

    /**
    * 入库时间
    */
    private Date sUpdateTime;

    /**
    * 数据状态
    */
    private Integer sDataState;
}