package com.tanpu.fund.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
public enum FundStatusEnum {
    FUND_RAISING("1", "募集中"),
    START_RUNING("2", "开放运行"),
    CLOSED_OPERATION("3", "封闭运行"),
    ADVANCE_CLEAR("4", "提前清算"),
    EXPIRE_CLEAR("5", "到期清算"),
    RELEASE_FAILURE("6", "发行失败"),
    CHANGE_MANAGER("7", "更换管理人"),
    OTHER("-1", "其他"),
    ;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    private String code;

    private String value;

    FundStatusEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public static String getName(String code) {
        if (StringUtils.isBlank(code)) {
            return "";
        }
        FundStatusEnum[] types = values();
        for (FundStatusEnum p : types) {
            if (code.equals(p.getCode())) {
                return p.getValue();
            }
        }
        return null;
    }

}
