package com.tanpu.fund.enums;

/**
 * 基金运行状态
 */
public enum ProTypeEnums {
    SM_XTJH(1, "信托计划"),
    SM_YXHH(2, "有限合伙"),
    SM_QSZG(3, "券商资管"),
    SM_GMZH(4, "公募专户"),
    SM_DZH(5, "单账户"),
    SM_ZQTZJJ(6, "证券投资基金"),
    SM_HWJJ(7, "海外基金"),
    SM_QHZG(8, "期货资管"),
    SM_BXZG(9, "保险资管"),
    SM_CYTZJJ(10, "创业投资基金"),
    SM_GQTZJJ(11, "股权投资基金"),
    SM_YHLC(12, "银行理财"),
    SM_LGSXT(13, "类固收信托"),
    SM_OTHER(-1, "其他投资基金");

    private int type;
    private String name;

    ProTypeEnums(int type, String name){
        this.type = type;
        this.name = name;
    }

    public int getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    public static String getName(int type) {
        ProTypeEnums[] types = values();
        for (ProTypeEnums p : types) {
            if (type == p.getType()) {
                return p.getName();
            }
        }
        return null;
    }
}
