package com.tanpu.fund.enums;

/**
 * 产品风险等级
 *
 * @author hudingguo
 * @date 时2020-09-18 14:00:16
 */
public enum RiskLevelEnum {
    /**
     * 策略
     */

    LOW_RISK(1, "低风险"),

    MEDIUM_LOW_RISK(2, "中低风险"),

    MEDIUM_RISK(3, "中等风险"),

    MEDIUM_HIGH_RISK(4, "中高风险"),

    HIGH_RISK(5, "高风险");

    public int level;

    public String name;


    RiskLevelEnum(int level, String name) {
        this.level = level;
        this.name = name;
    }


    /**
     * 获取名称
     *
     * @return
     */
    public static String getNameByLevel(Integer level) {
        if (level == null) {
            return "";
        }
        for (RiskLevelEnum riskLevelEnum : RiskLevelEnum.values()) {
            if (riskLevelEnum.level == level) {
                return riskLevelEnum.name;
            }
        }
        return "";
    }
}
