package com.tanpu.fund.feign.diagnose;

import com.tanpu.common.model.product.req.ExternalReq;
import com.tanpu.common.resp.CommonResp;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@FeignClient(value = "service-diagnose", fallbackFactory = FeignbackForDiagnose.class, path = "/diagnose")
//@FeignClient(value = "service-diagnose", fallbackFactory = FeignbackForDiagnose.class, url = "http://127.0.0.1:8201/diagnose")
public interface FeignClientForDiagnose {

    @ApiOperation("是否加入了自选")
    @PostMapping("/fund/collect")
    CommonResp<List<String>> getFundCollectInfo(@Valid @NotEmpty(message = "基金id不能为空") @RequestBody List<String> ids);

    @ApiOperation("是否加入了自选")
    @PostMapping("/fund/ifa/collect")
    CommonResp<List<String>> getFundCollectInfo(@Valid @NotEmpty(message = "基金id不能为空") ExternalReq req);
}
