package com.tanpu.fund.feign.diagnose;

import com.alibaba.fastjson.JSON;
import com.tanpu.common.model.product.req.ExternalReq;
import com.tanpu.common.resp.CommonResp;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Slf4j
@Component
public class FeignbackForDiagnose implements FallbackFactory<FeignClientForDiagnose> {

    @Override
    public FeignClientForDiagnose create(Throwable throwable) {
        return new FeignClientForDiagnose() {
            @Override
            public CommonResp<List<String>> getFundCollectInfo(@Valid @NotEmpty(message = "基金id不能为空") List<String> ids) {
                log.error("请求信息", throwable);
                log.error("FeignClientForDiagnose.getFundCollectInfo 基金 收藏信息：{}", JSON.toJSONString(ids));
                return null;
            }

            @Override
            public CommonResp<List<String>> getFundCollectInfo(@Valid @NotEmpty(message = "基金id不能为空") ExternalReq req) {
                log.error("请求信息", throwable);
                log.error("FeignClientForDiagnose.getFundCollectInfo 基金 收藏信息：{}", JSON.toJSONString(req));
                return null;
            }
        };
    }

}
