package com.tanpu.fund.feign.product;

import com.alibaba.fastjson.JSON;
import com.tanpu.common.model.tanpuroom.Type;
import com.tanpu.common.resp.CommonResp;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignbackForProduct implements FallbackFactory<FeignForProduct> {

    @Override
    public FeignForProduct create(Throwable throwable) {
        return new FeignForProduct() {

            @Override
            public CommonResp<List<Type>> getSimpleFundList(List<String> list) {
                log.error("FeignClientForFund.getSimpleFundList 获取私募产品列表（只返回产品名称参数: {}", JSON.toJSONString(list));
                log.error("FeignClientForFund.getSimpleFundList 获取私募产品列表（只返回产品名称异常", throwable);
                return CommonResp.error("基金信息查询异常");
            }
        };
    }
}
