package com.tanpu.fund.feign.publicfund;

import com.tanpu.common.model.product.resp.FundIndexBasicResp;
import com.tanpu.common.model.product.resp.TrackRecordVO;
import com.tanpu.common.resp.CommonResp;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignbackForPublicfund implements FallbackFactory<FeignClientForPublicfund> {

    @Override
    public FeignClientForPublicfund create(Throwable throwable) {
        return new FeignClientForPublicfund() {
            @Override
            public CommonResp<List<FundIndexBasicResp>> fundIndexes() {
                log.error("请求信息", throwable);
                log.error("FeignClientForPublicfund.fundIndexes 查询指数失败");
                return null;
            }

            @Override
            public CommonResp<List<TrackRecordVO>> getTrackRecordInfoIndex(String indexId) {
                log.error("请求信息", throwable);
                log.error("FeignClientForPublicfund.getTrackRecordInfoIndex 历史业绩 对比指数：{}", indexId);
                return null;
            }
        };
    }

}
