package com.tanpu.fund.feign.user;

import com.tanpu.common.model.product.resp.ProductLabel;
import com.tanpu.common.model.product.resp.UserInfoVo;
import com.tanpu.common.model.user.resp.ColumnVO;
import com.tanpu.common.model.user.resp.SysConstantResp;
import com.tanpu.common.resp.CommonResp;
import feign.Headers;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

//@FeignClient(value = "fatools", fallbackFactory = FeignbackForFatools.class, url = "http://127.0.0.1:8189/fatools")
@FeignClient(value = "fatools", contextId = "fatoolsUser", fallbackFactory = FeignbackForFatools.class, path = "/fatools")
public interface FeignClientForFatools {

    @PostMapping(value = "/h6/userinfo/queryinfos")
    @Headers({"Content-Type: application/json"})
    CommonResp<ArrayList<UserInfoVo>> queryUsersList(List<String> userIds);

    @GetMapping(value = "/h5/tag/querybyrelid", produces = {"application/json"})
    CommonResp<List<ProductLabel>> querytagbyrelid(@RequestParam("relId") String relId);

    @GetMapping(value = "/h5/sysconstant/queryByconstantGroup", produces = {"application/json"})
    CommonResp<List<SysConstantResp>> queryLabels(@RequestParam("constantGroup") String constantGroup);

    @GetMapping("/column")
    CommonResp<List<ColumnVO>> getColumnInfo(@RequestParam("id") String id);

    @ApiOperation("批量查询标签信息")
    @GetMapping("/batch/get/label")
    CommonResp<Map<String, List<ProductLabel>>> batchGetLabelByIdInfo(@RequestParam("list")@Valid @NotEmpty List<String> list);

}
