package com.tanpu.fund.feign.user;

import com.alibaba.fastjson.JSON;
import com.tanpu.common.model.product.resp.ProductLabel;
import com.tanpu.common.model.product.resp.UserInfoVo;
import com.tanpu.common.model.user.resp.ColumnVO;
import com.tanpu.common.model.user.resp.SysConstantResp;
import com.tanpu.common.resp.CommonResp;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class FeignbackForFatools implements FallbackFactory<FeignClientForFatools> {

    @Override
    public FeignClientForFatools create(Throwable throwable) {
        return new FeignClientForFatools() {
            @Override
            public CommonResp<ArrayList<UserInfoVo>> queryUsersList(List<String> userIds) {
                log.error("请求信息", throwable);
                log.error("FeignClientForUser.queryUsersList用户信息查询失败");
                return null;
            }

            @Override
            public CommonResp<List<ProductLabel>> querytagbyrelid(String relId) {
                log.error("请求信息", throwable);
                log.error("FeignClientForUser.querytagbyrelid 查询标签失败 relId:{}", relId);
                return null;
            }

            @Override
            public CommonResp<List<SysConstantResp>> queryLabels(String constantGroup) {
                log.error("请求信息", throwable);
                log.error("FeignClientForUser.queryLabels 查询标签失败 constantGroup:{}", constantGroup);
                return null;
            }

            @Override
            public CommonResp<List<ColumnVO>> getColumnInfo(String id) {
                log.error("请求信息", throwable);
                log.error("FeignClientForUser.getColumnInfo 查询栏目失败 id:{}", id);
                return null;
            }

            @Override
            public CommonResp<Map<String, List<ProductLabel>>> batchGetLabelByIdInfo(@Valid @NotEmpty List<String> list) {
                log.error("请求信息", throwable);
                log.error("FeignClientForUser.getColumnInfo 查询栏目失败 id:{}", JSON.toJSONString(list));
                return null;
            }
        };
    }

}
