package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundPerformance;
import com.tanpu.fund.entity.generator.FundPerformanceExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundPerformanceMapper {
    long countByExample(FundPerformanceExample example);

    int deleteByExample(FundPerformanceExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundPerformance record);

    int insertOrUpdate(FundPerformance record);

    int insertOrUpdateSelective(FundPerformance record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundPerformance record);

    List<FundPerformance> selectByExample(FundPerformanceExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    FundPerformance selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundPerformance record, @Param("example") FundPerformanceExample example);

    int updateByExample(@Param("record") FundPerformance record, @Param("example") FundPerformanceExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundPerformance record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundPerformance record);

    int updateBatch(List<FundPerformance> list);

    int batchInsert(@Param("list") List<FundPerformance> list);
}