package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.TxFundPortfolio;
import com.tanpu.fund.entity.generator.TxFundPortfolioExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TxFundPortfolioMapper {
    long countByExample(TxFundPortfolioExample example);

    int deleteByExample(TxFundPortfolioExample example);

    /**
     * delete by primary key
     * @param fundId primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String fundId);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(TxFundPortfolio record);

    int insertOrUpdate(TxFundPortfolio record);

    int insertOrUpdateSelective(TxFundPortfolio record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(TxFundPortfolio record);

    List<TxFundPortfolio> selectByExample(TxFundPortfolioExample example);

    /**
     * select by primary key
     * @param fundId primary key
     * @return object by primary key
     */
    TxFundPortfolio selectByPrimaryKey(String fundId);

    int updateByExampleSelective(@Param("record") TxFundPortfolio record, @Param("example") TxFundPortfolioExample example);

    int updateByExample(@Param("record") TxFundPortfolio record, @Param("example") TxFundPortfolioExample example);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(TxFundPortfolio record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(TxFundPortfolio record);

    int updateBatch(List<TxFundPortfolio> list);

    int batchInsert(@Param("list") List<TxFundPortfolio> list);
}