package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.TxFundRateMapping;
import com.tanpu.fund.entity.generator.TxFundRateMappingExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TxFundRateMappingMapper {
    long countByExample(TxFundRateMappingExample example);

    int deleteByExample(TxFundRateMappingExample example);

    /**
     * delete by primary key
     * @param fundId primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String fundId);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(TxFundRateMapping record);

    int insertOrUpdate(TxFundRateMapping record);

    int insertOrUpdateSelective(TxFundRateMapping record);

    int insertOrUpdateWithBLOBs(TxFundRateMapping record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(TxFundRateMapping record);

    List<TxFundRateMapping> selectByExampleWithBLOBs(TxFundRateMappingExample example);

    List<TxFundRateMapping> selectByExample(TxFundRateMappingExample example);

    /**
     * select by primary key
     * @param fundId primary key
     * @return object by primary key
     */
    TxFundRateMapping selectByPrimaryKey(String fundId);

    int updateByExampleSelective(@Param("record") TxFundRateMapping record, @Param("example") TxFundRateMappingExample example);

    int updateByExampleWithBLOBs(@Param("record") TxFundRateMapping record, @Param("example") TxFundRateMappingExample example);

    int updateByExample(@Param("record") TxFundRateMapping record, @Param("example") TxFundRateMappingExample example);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(TxFundRateMapping record);

    int updateByPrimaryKeyWithBLOBs(TxFundRateMapping record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(TxFundRateMapping record);

    int updateBatch(List<TxFundRateMapping> list);

    int batchInsert(@Param("list") List<TxFundRateMapping> list);
}