package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.TxIndustryDistribution;
import com.tanpu.fund.entity.generator.TxIndustryDistributionExample;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TxIndustryDistributionMapper {
    long countByExample(TxIndustryDistributionExample example);

    int deleteByExample(TxIndustryDistributionExample example);

    /**
     * delete by primary key
     * @param fundCode primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(@Param("fundCode") Integer fundCode, @Param("startDate") Date startDate, @Param("endDate") Date endDate, @Param("industryCode") String industryCode);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(TxIndustryDistribution record);

    int insertOrUpdate(TxIndustryDistribution record);

    int insertOrUpdateSelective(TxIndustryDistribution record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(TxIndustryDistribution record);

    List<TxIndustryDistribution> selectByExample(TxIndustryDistributionExample example);

    /**
     * select by primary key
     * @param fundCode primary key
     * @return object by primary key
     */
    TxIndustryDistribution selectByPrimaryKey(@Param("fundCode") Integer fundCode, @Param("startDate") Date startDate, @Param("endDate") Date endDate, @Param("industryCode") String industryCode);

    int updateByExampleSelective(@Param("record") TxIndustryDistribution record, @Param("example") TxIndustryDistributionExample example);

    int updateByExample(@Param("record") TxIndustryDistribution record, @Param("example") TxIndustryDistributionExample example);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(TxIndustryDistribution record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(TxIndustryDistribution record);

    int updateBatch(List<TxIndustryDistribution> list);

    int batchInsert(@Param("list") List<TxIndustryDistribution> list);
}