package com.tanpu.fund.service;

import com.tanpu.common.model.Page;
import com.tanpu.common.model.Pageable;
import com.tanpu.common.model.product.req.NetReq;
import com.tanpu.common.model.product.req.ProductInfoReq;
import com.tanpu.common.model.product.req.ProductListReq;
import com.tanpu.common.model.product.resp.*;
import com.tanpu.common.model.tanpuroom.Type;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
public interface ProductPrivateService {
    Page<ProductInfoVO> getProductList(ProductInfoReq req);

    ProductInfoVO getProductDetail(String id);

    List<ProductInfoVO> getProductList(List<String> ids);

    Page<ProductInfoVO> getNotTanpuProduct(ProductInfoReq req);

    UnitNetVO getUnitNet(String id, String ratioId, String type);

    UnitNetVO getProfitTrend(String id, String ratioId, String type, Long beginTime, Long endTime);

    Page<NetVO> getNetList(NetReq req);

    List<BonusRatioVO> getBonusRatio(String id);

    List<TrackRecordVO> getTrackRecord(String id);

    Page<TrackNetVO> getTrackNetList(String id, Pageable page);

    List<RiskRatingVO> getRiskRating(String id);

    List<FundManagerVO> getFundManager(String id,String ifaId);

    FundRecordVO getFundRecord(String id);

    FundCompanyVO getFundCompany(String id, String ifaId, Pageable page);

    FundCompanyVO getPrivateFundCompany(String id);

    List<ProductInfoVO> getProductInfolist(ProductListReq req);

    List<ProductInfoVO> getNotTanpuProductInfolist(ProductListReq req);

    DynamicRetreatVO getDynamicRetreat(String id);

    ProductInfoVO getPrivateDetail(String id);

    List<TrackRecordVO> getHistoryprofit(String id);

    Page<TrackNetVO> getPrivateFundTrackNetList(String id, Pageable page);

    List<RiskRatingVO> getPrivateFundRiskRating(String id);

    List<ProductInfoVO> getPrivateFundList(List<String> ids);

    List<FundInfoSimpleListResp> getSimpleList(List<String> idList);

    List<FundInfoSimpleListResp> getPrivateSimpleList(List<String> idList);

    List<FundSameResp> querySamefund(String fundId);

    List<FundSameResp> getRemmendPrivateFundList();

    List<Type> getSimplePrivateFundList(List<String> list);
}
