package com.tanpu.fund.service.impl;

import com.tanpu.common.model.product.resp.Net;
import com.tanpu.common.model.product.resp.NetBigDecimal;
import com.tanpu.common.utils.BigDecimalUtil;
import com.tanpu.fund.entity.generator.FundNav;
import com.tanpu.fund.mapper.generator.custom.FundInfoCustomMapper;
import com.tanpu.fund.service.ProductForPcService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: zyh
 */
@Service
public class ProductForPcServiceImpl implements ProductForPcService {
    @Resource
    private FundInfoCustomMapper fundInfoCustomMapper;

    @Override
    public List<Net> getFundNewnet(List<String> list) {
        List<FundNav> fundInfoNewNet = fundInfoCustomMapper.getFundInfoNewNet(list);
        if (CollectionUtils.isNotEmpty(fundInfoNewNet)) {
          return fundInfoNewNet.stream().map(item -> Net.builder()
                    .fundId(item.getFundId())
                    .netDate(item.getPriceDate().getTime())
                    .netValue(BigDecimalUtil.toString(item.getNav(), 4))
                    .cumulativeNav(BigDecimalUtil.toString(item.getCumulativeNavWithdrawal(), 4))
                    .build()).collect(Collectors.toList());
        }
        return new ArrayList<>(0);
    }

    @Override
    public List<Net> getPrivatefundNewnet(List<String> list) {
        List<FundNav> fundInfoNewNet = fundInfoCustomMapper.getPrivateFundInfoNewNet(list);
        if (CollectionUtils.isNotEmpty(fundInfoNewNet)) {
            return fundInfoNewNet.stream().map(item -> Net.builder()
                    .fundId(item.getFundId())
                    .netDate(item.getPriceDate().getTime())
                    .netValue(BigDecimalUtil.toString(item.getNav(), 4))
                    .cumulativeNav(BigDecimalUtil.toString(item.getCumulativeNavWithdrawal(), 4))
                    .build()).collect(Collectors.toList());
        }
        return new ArrayList<>(0);
    }
}
